var config = module.parent._require('config.js');

module.exports = function(plugin) {
  plugin.defaults({
    "interval": 60 * 1000
  });
  var sgit = require('simple-git')(config['wiki_dir']);

  function update() {
    sgit.pull(function(err, update) {
      plugin.emit("pre-update");
      if (err) {
        plugin.emit("error");
        console.log('E: ' + 'autogit: ' + err);
      }
      plugin.emit("post-update");
    })
  }
  
  sgit.checkIsRepo(function(isRepo = true) {
    console.log('I: ' + 'autogit: updating every ' + plugin.conf['interval'] + 'ms');
    plugin.emit('load');
    setInterval(update, plugin.conf['interval']);
  });
};
